MediaWiki:Dialogue.css: Difference between revisions

Created page with "For content between [[Template:Dialogue Start]] and [[Template:Dialogue End]]: .page-content .dialogue, .article-content .dialogue { font-size: 15px; line-height: 20px; } .page-content .dialogue.no-indent, .article-content .dialogue.no-indent { margin-left: -27px; } .page-content .dialogue.left-line, .article-content .dialogue.left-line { border-left: 2px solid var(--theme-color-7); padding-left: 16px; display: block; } .page-content .dialogue dl :is(dd, dl..."
 
Kuhlau (talk | contribs)
page-content to mw-parser-output
 
Line 1: Line 1:
/* For content between [[Template:Dialogue Start]] and [[Template:Dialogue End]] */
/* For content between [[Template:Dialogue Start]] and [[Template:Dialogue End]] */
.page-content .dialogue,
.mw-parser-output .dialogue {
.article-content .dialogue {
font-size: 15px;
font-size: 15px;
line-height: 20px;
line-height: 20px;
}
}


.page-content .dialogue.no-indent,
.mw-parser-output .dialogue.no-indent {
.article-content .dialogue.no-indent {
margin-left: -27px;
margin-left: -27px;
}
}


.page-content .dialogue.left-line,
.mw-parser-output .dialogue.left-line {
.article-content .dialogue.left-line {
border-left: 2px solid var(--theme-color-7);
border-left: 2px solid var(--theme-color-7);
padding-left: 16px;
padding-left: 16px;
Line 18: Line 15:
}
}


.page-content .dialogue dl :is(dd, dl dt),
.mw-parser-output .dialogue dl :is(dd, dl dt) {
.article-content .dialogue dl :is(dd, dl dt) {
padding-left: 16px;
padding-left: 16px;
margin-left: 0;
margin-left: 0;
}
}


.page-content .dialogue dl,
.mw-parser-output .dialogue dl {
.article-content .dialogue dl {
margin-top: 3px;
margin-top: 3px;
margin-bottom: 3px;
margin-bottom: 3px;
Line 32: Line 27:
}
}


.page-content .dialogue > dl,
.mw-parser-output .dialogue > dl,
.page-content .dialogue td > dl,
.mw-parser-output .dialogue td > dl, {
.article-content .dialogue > dl,
.article-content .dialogue td > dl {
margin-bottom: 10px;
margin-bottom: 10px;
border-left: none;
border-left: none;
}
}


.page-content .dialogue dt,
.mw-parser-output .dialogue dt {
.article-content .dialogue dt {
font-weight: normal;
font-weight: normal;
font-style: italic;
font-style: italic;
Line 47: Line 39:
}
}


.page-content .dialogue dt i,
.mw-parser-output .dialogue dt i {
.article-content .dialogue dt i {
font-style: normal;
font-style: normal;
}
}


/* [[Template:Black Screen]] */
/* [[Template:Black Screen]] */
.page-content .dialogue .black-screen-text,
.mw-parser-output .dialogue .black-screen-text {
.article-content .dialogue .black-screen-text {
margin-bottom: 13px;
margin-bottom: 13px;
margin-top: 13px;
margin-top: 13px;
Line 60: Line 50:


/* Remove padding from dialogue in tables. */
/* Remove padding from dialogue in tables. */
.page-content td > div.dialogue > dl,
.mw-parser-output td > div.dialogue > dl {
.article-content td > div.dialogue > dl {
margin: 0;
margin: 0;
}
}


.page-content td > div.dialogue > dl > dd,
.mw-parser-output td > div.dialogue > dl > dd,
.article-content td > div.dialogue > dl > dd,
.mw-parser-output td > div.dialogue > dl > dt {
.page-content td > div.dialogue > dl > dt,
.article-content td > div.dialogue > dl > dt {
padding-left: 0;
padding-left: 0;
}
}